Subject: Re: [OFF-TOPIC] looking for portable embeddable text editor
From: [email-masked] (Weiqi Gao)

25 Jan 1999 19:30:57 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Gilles Depeyrot wrote:
> 
> Hi everyone,
> 
> I know this question is off topic on this list but this is the
> last place I can think of where someone may have an answer.
> 
> I am looking for a portable (Win32, Unix) embeddable text editor
> that can be integrated into a graphic application. Does anyone
> know of an existing solution to add advanced text editing
> capabilities to an application (source code editor like) ?

Embeddable text editors:
OS              Component               Interface
===================================================
Win32           Word Document           OLE
Win32           RTF control             ActiveX
UNIX+Win32      Tk text widget          C
UNIX            Motif text widget       C
UNIX+Win23+Java Swing JEditor           Java Applet

Word and Swing have advanced editing capabilitied built in.  But they
are very expansive to embed.  In fact they are not very embeddable.  The
Tk widgets are designed to be embeddable, and is indeed easy to embed,
it works in a lot of platforms.  The Win32 RTF control and Motif text
widget are sort of embed-only widgets, you cannot use them any other
way, they are part of the native GUI toolkit, just like a PushButton or
a ComboBox.

--
Weiqi Gao
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".